/**
 * Copyright &copy; 2015-2020 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.modules.workcontent.entity;


import com.jeeplus.common.persistence.DataEntity;
import com.jeeplus.common.utils.excel.annotation.ExcelField;
import com.jeeplus.modules.sys.entity.Office;

/**
 * 工作内容类型Entity
 * @author ssrh
 * @version 2018-06-01
 */
public class WorkContentType extends DataEntity<WorkContentType> {
	
	private static final long serialVersionUID = 1L;
	private String typeId;		// 内容类型编号
	private String typeName;		// 内容类型名称
	private String parentId;		// 父级ID
	private String parentIds;		// 所有上级ID
    private Office company;

	public String getProjectId() {
		return projectId;
	}

	public void setProjectId(String projectId) {
		this.projectId = projectId;
	}

	private String projectId;
	public WorkContentType() {
		super();
	}

	public WorkContentType(String id){
		super(id);
	}

	@ExcelField(title="内容类型编号", align=2, sort=7)
	public String getTypeId() {
		return typeId;
	}

	public void setTypeId(String typeId) {
		this.typeId = typeId;
	}
	
	@ExcelField(title="内容类型名称", align=2, sort=8)
	public String getTypeName() {
		return typeName;
	}

	public void setTypeName(String typeName) {
		this.typeName = typeName;
	}

	@ExcelField(title="父级ID", align=2, sort=9)
	public String getParentId() {
		return parentId;
	}

	public void setParentId(String parentId) {
		this.parentId = parentId;
	}

	@ExcelField(title="所有上级ID", align=2, sort=10)
	public String getParentIds() {
		return parentIds;
	}

	public void setParentIds(String parentIds) {
		this.parentIds = parentIds;
	}

    public Office getCompany() {
        return company;
    }

    public void setCompany(Office company) {
        this.company = company;
    }
}